org.apache.lucene.queries.function.valuesource

## Class MultiValuedDoubleFieldSource

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.FieldCacheSource
    - - org.apache.lucene.queries.function.valuesource.DoubleFieldSource
      - - org.apache.lucene.queries.function.valuesource.MultiValuedDoubleFieldSource

    public class MultiValuedDoubleFieldSource
    extends DoubleFieldSource

Obtains double field values from `LeafReader.getSortedNumericDocValues(java.lang.String)` and using a `SortedNumericSelector` it gives a single-valued ValueSource view of a field.

### Field Summary

Fields
`protected SortedNumericSelector.Type` `selector`

### Fields inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource

`field`

### Constructor Summary

Constructors
Constructor and Description
`MultiValuedDoubleFieldSource(String field, SortedNumericSelector.Type selector)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `description()` description of field, used in explain()
`boolean` `equals(Object o)`
`protected NumericDocValues` `getNumericDocValues(Map context, LeafReaderContext readerContext)`
`SortField` `getSortField(boolean reverse)` EXPERIMENTAL: This method is subject to change.
`int` `hashCode()`

### Methods inherited from class org.apache.lucene.queries.function.valuesource.DoubleFieldSource

`getValues`

### Methods inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource

`getField`

### Methods inherited from class org.apache.lucene.queries.function.ValueSource

`asDoubleValuesSource, asLongValuesSource, createWeight, fromDoubleValuesSource, newContext, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### selector

    protected final SortedNumericSelector.Type selector

### Constructor Detail

#### MultiValuedDoubleFieldSource

    public MultiValuedDoubleFieldSource(String field,
                                        SortedNumericSelector.Type selector)

### Method Detail

#### getSortField

    public SortField getSortField(boolean reverse)

Description copied from class: `ValueSource`
EXPERIMENTAL: This method is subject to change.

Get the SortField for this ValueSource. Uses the `ValueSource.getValues(java.util.Map, org.apache.lucene.index.LeafReaderContext)` to populate the SortField.

Overrides:
  `getSortField` in class `DoubleFieldSource`
Parameters:
  `reverse` - true if this is a reverse sort.
Returns:
  The `SortField` for the ValueSource

#### description

    public String description()

Description copied from class: `ValueSource`
description of field, used in explain()

Overrides:
  `description` in class `DoubleFieldSource`

#### getNumericDocValues

    protected NumericDocValues getNumericDocValues(Map context,
                                                   LeafReaderContext readerContext)
                                            throws IOException

Overrides:
  `getNumericDocValues` in class `DoubleFieldSource`
Throws:
  `IOException`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `DoubleFieldSource`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `DoubleFieldSource`